@if (templateOk) {
  <div class="full-width" [attr.data-test-report-id]="'xls-report-ok'">
    <table class="full-width m-b-10" aria-label="XLS import result">
      <thead>
        <tr>
          <th scope="col"></th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.success-row'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.warning-row'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.failure-row'
                | translate
            }}
          </th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">
            {{ 'sqtm-core.entity.test-case.label.singular' | translate }}
          </th>
          <td class="txt-success">{{ templateOk.testCaseSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.testCaseWarnings }}</td>
          <td class="txt-error">{{ templateOk.testCaseFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{
              'sqtm-core.entity.test-step.label.plural' | translate | capitalize
            }}
          </th>
          <td class="txt-success">{{ templateOk.testStepSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.testStepWarnings }}</td>
          <td class="txt-error">{{ templateOk.testStepFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{ 'sqtm-core.entity.parameter.plural' | translate }}
          </th>
          <td class="txt-success">{{ templateOk.parameterSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.parameterWarnings }}</td>
          <td class="txt-error">{{ templateOk.parameterFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{ 'sqtm-core.entity.dataset.label.plural' | translate }}
          </th>
          <td class="txt-success">{{ templateOk.datasetSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.datasetWarnings }}</td>
          <td class="txt-error">{{ templateOk.datasetFailures }}</td>
        </tr>
        <tr>
          <th scope="row">{{ 'sqtm-core.entity.coverages' | translate }}</th>
          <td class="txt-success">{{ templateOk.coverageSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.coverageWarnings }}</td>
          <td class="txt-error">{{ templateOk.coverageFailures }}</td>
        </tr>
      </tbody>
    </table>
    @if (templateOk) {
      <a [href]="getFileName(templateOk)">{{
        'sqtm-core.test-case-workspace.dialog.import.download-report'
          | translate
      }}</a>
    }
  </div>
}
@if (templateKo) {
  <div class="full-width" [attr.data-test-report-id]="'xls-report-ko'">
    <p>
      {{
        'sqtm-core.test-case-workspace.dialog.import.error.format' | translate
      }}
    </p>
    <ul>
      @if (templateKo.missingMandatoryColumns?.length > 0) {
        <li>
          <span>{{
            'sqtm-core.test-case-workspace.dialog.import.error.mandatory-column.plural'
              | translate
          }}</span
          >{{ templateKo.missingMandatoryColumns }}
          .
        </li>
      }
      @if (templateKo.duplicateColumns?.length > 0) {
        <li>
          <span>{{
            'sqtm-core.test-case-workspace.dialog.import.error.duplicate-column'
              | translate
          }}</span>
          {{ templateKo.duplicateColumns }}
        </li>
      }
      @if (templateKo.actionValidationError) {
        <li>
          <span>{{
            'sqtm-core.error.generic.corrupted-file' | translate
          }}</span>
        </li>
      }
    </ul>
  </div>
}
